> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-entitlement-lifecycle-sparse-acl.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Search GoLinks by query string.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/golinks/search
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/golinks/search:
    post:
      tags:
        - Go Links
      summary: Search
      description: Search GoLinks by query string.
      operationId: c1.api.golink.v1.GoLinkSearchService.Search
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.golink.v1.GoLinkSearchServiceSearchRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.golink.v1.GoLinkSearchServiceSearchResponse
          description: Successful response
components:
  schemas:
    c1.api.golink.v1.GoLinkSearchServiceSearchRequest:
      description: The GoLinkSearchServiceSearchRequest message.
      properties:
        ownerUserIds:
          description: >-
            Filter by owner user IDs. Joins against the C1 entitlement user
            binding to find
             GoLinks where any of these users hold the "owner" entitlement grant.
          items:
            type: string
          type:
            - array
            - 'null'
        pageSize:
          description: The pageSize field.
          format: int32
          type: integer
        pageToken:
          description: The pageToken field.
          type: string
        query:
          description: The query field.
          type: string
        refs:
          description: The refs field.
          items:
            $ref: '#/components/schemas/c1.api.golink.v1.GoLinkRef'
          type:
            - array
            - 'null'
        status:
          description: Filter by status. If not set, returns all non-deleted GoLinks.
          enum:
            - GO_LINK_STATUS_UNSPECIFIED
            - GO_LINK_STATUS_ENABLED
            - GO_LINK_STATUS_DISABLED
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
      title: Go Link Search Service Search Request
      type: object
      x-speakeasy-name-override: GoLinkSearchServiceSearchRequest
    c1.api.golink.v1.GoLinkSearchServiceSearchResponse:
      description: The GoLinkSearchServiceSearchResponse message.
      properties:
        list:
          description: The list field.
          items:
            $ref: '#/components/schemas/c1.api.golink.v1.GoLinkView'
          type:
            - array
            - 'null'
        nextPageToken:
          description: The nextPageToken field.
          type: string
      title: Go Link Search Service Search Response
      type: object
      x-speakeasy-name-override: GoLinkSearchServiceSearchResponse
    c1.api.golink.v1.GoLinkRef:
      description: The GoLinkRef message.
      properties:
        id:
          description: The id field.
          type: string
      title: Go Link Ref
      type: object
      x-speakeasy-name-override: GoLinkRef
    c1.api.golink.v1.GoLinkView:
      description: >-
        GoLinkView wraps a GoLink with per-object permissions for the current
        user.
      properties:
        golink:
          oneOf:
            - $ref: '#/components/schemas/c1.api.golink.v1.GoLink'
            - type: 'null'
        objectPermissions:
          oneOf:
            - $ref: '#/components/schemas/c1.api.iam.v1.ActorObjectPermissions'
            - type: 'null'
      title: Go Link View
      type: object
      x-speakeasy-name-override: GoLinkView
    c1.api.golink.v1.GoLink:
      description: GoLink is the API representation of a go-link.
      properties:
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        currentVersion:
          description: The currentVersion field.
          format: int32
          readOnly: true
          type: integer
        deletedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        description:
          description: The description field.
          type: string
        displayName:
          description: The displayName field.
          type: string
        id:
          description: The id field.
          type: string
        prerequisite:
          oneOf:
            - $ref: '#/components/schemas/c1.api.golink.v1.GoLinkPrerequisite'
            - type: 'null'
        routes:
          description: The routes field.
          items:
            $ref: '#/components/schemas/c1.api.golink.v1.GoLinkRouteConfig'
          type:
            - array
            - 'null'
        status:
          description: The status field.
          enum:
            - GO_LINK_STATUS_UNSPECIFIED
            - GO_LINK_STATUS_ENABLED
            - GO_LINK_STATUS_DISABLED
          type: string
          x-speakeasy-unknown-values: allow
        target:
          oneOf:
            - $ref: '#/components/schemas/c1.api.golink.v1.GoLinkTarget'
            - type: 'null'
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
      title: Go Link
      type: object
      x-speakeasy-name-override: GoLink
    c1.api.iam.v1.ActorObjectPermissions:
      description: |-
        Legacy: do not use for new objects. Retained only for the existing
         AppResource / AppEntitlement / access-review consumers, which will migrate to
         c1.api.authorization.v1.ActorObjectPermissions in IGA-2331. New object views
         should reference c1.api.authorization.v1.ActorObjectPermissions instead.
      properties:
        delete:
          description: The delete field.
          type: boolean
        edit:
          description: The edit field.
          type: boolean
        extra:
          additionalProperties:
            type: boolean
          description: The extra field.
          type: object
        read:
          description: The read field.
          type: boolean
      title: Actor Object Permissions
      type: object
      x-speakeasy-name-override: ActorObjectPermissions
    c1.api.golink.v1.GoLinkPrerequisite:
      description: The GoLinkPrerequisite message.
      properties:
        appEntitlementId:
          description: The appEntitlementId field.
          type: string
        appId:
          description: The appId field.
          type: string
      title: Go Link Prerequisite
      type: object
      x-speakeasy-name-override: GoLinkPrerequisite
    c1.api.golink.v1.GoLinkRouteConfig:
      description: The GoLinkRouteConfig message.
      properties:
        isCanonical:
          description: The isCanonical field.
          type: boolean
        routeTemplate:
          description: |-
            The route template with optional named parameters.
             Exact routes: "jira", "jira/create"
             Glob routes: "jira/{ticket_id}", "aws/{path}"
          type: string
      title: Go Link Route Config
      type: object
      x-speakeasy-name-override: GoLinkRouteConfig
    c1.api.golink.v1.GoLinkTarget:
      description: >
        The GoLinkTarget message.


        This message contains a oneof named target. Only a single field of the
        following list may be set at a time:
          - redirect
          - action
          - chooser
      properties:
        action:
          oneOf:
            - $ref: '#/components/schemas/c1.api.golink.v1.GoLinkActionTarget'
            - type: 'null'
        chooser:
          oneOf:
            - $ref: '#/components/schemas/c1.api.golink.v1.GoLinkChooserTarget'
            - type: 'null'
        redirect:
          oneOf:
            - $ref: '#/components/schemas/c1.api.golink.v1.GoLinkRedirectTarget'
            - type: 'null'
      title: Go Link Target
      type: object
      x-speakeasy-name-override: GoLinkTarget
    c1.api.golink.v1.GoLinkActionTarget:
      description: The GoLinkActionTarget message.
      properties:
        actionId:
          description: The actionId field.
          type: string
      title: Go Link Action Target
      type: object
      x-speakeasy-name-override: GoLinkActionTarget
    c1.api.golink.v1.GoLinkChooserTarget:
      description: The GoLinkChooserTarget message.
      properties:
        options:
          description: The options field.
          items:
            $ref: '#/components/schemas/c1.api.golink.v1.GoLinkChooserOption'
          type:
            - array
            - 'null'
      title: Go Link Chooser Target
      type: object
      x-speakeasy-name-override: GoLinkChooserTarget
    c1.api.golink.v1.GoLinkRedirectTarget:
      description: The GoLinkRedirectTarget message.
      properties:
        urlTemplate:
          description: |-
            URL template with named placeholders matching route parameters.
             e.g., "https://jira.internal/browse/{ticket_id}"
          type: string
      title: Go Link Redirect Target
      type: object
      x-speakeasy-name-override: GoLinkRedirectTarget
    c1.api.golink.v1.GoLinkChooserOption:
      description: The GoLinkChooserOption message.
      properties:
        description:
          description: The description field.
          type: string
        label:
          description: The label field.
          type: string
        target:
          oneOf:
            - $ref: '#/components/schemas/c1.api.golink.v1.GoLinkTarget'
            - type: 'null'
      title: Go Link Chooser Option
      type: object
      x-speakeasy-name-override: GoLinkChooserOption
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````